安装扩展 event-2.5.6 产生错误,如何解决或者解决途径????

0

1,环境 WSL: (Windows 10 ubuntu 子系统)php版本:PHP 7.3.19 (cli)。
2,系统版本:4.4.0-18362-Microsoft #836-Microsoft Mon May 05 16:04:00 PST 2020 x86_64 x86_64 x86_64 GNU/Linux
3,gcc 版本:Thread model: posix gcc version 9.3.0 (Ubuntu 9.3.0-10ubuntu2)。
4,phpize 执行后,运行 ./configure出现如下错误:
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for a sed that does not truncate output... /usr/bin/sed
checking for cc... cc
checking whether the C compiler works... no
configure: error: in /home/meows/download/event-2.5.6': configure: error: C compiler cannot create executables Seeconfig.log' for more details。
5,Event扩展包地址:https://pecl.php.net/get/event-2.5.6.tgz

error01.png config_log.png
已邀请:

要回复问题请先登录注册